MONGOC_WRITE_CONCERN_SET_WTIMEOUT(3)

NAME
mongoc_write_concern_set_wtimeout() - Set the timeout in milliseconds that the server should wait before indicating that the write has failed. This is not the same as a socket timeout. A value of zero may be used to indicate no timeout.

SYNOPSIS

void
mongoc_write_concern_set_wtimeout (mongoc_write_concern_t *write_concern,
                                   int32_t                 wtimeout_msec);

PARAMETERS

write_concern
    A mongoc_write_concern_t \&.

wtimeout_msec
    A positive int32_t or zero.

DESCRIPTION

Set the timeout in milliseconds that the server should wait before indicating that the write has failed. This is not the same as a socket timeout. A value of zero may be used to indicate no timeout.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.